Ubuntu

resume broken on ATI radeon RV250

Reported by Amit Kucheria on 2010-04-07
74
This bug affects 13 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
Nominated for Lucid by Azmi Nik

Bug Description

I installed Lucid on my IBM T41 laptop with a Radeon RV250 chipset.

After resuming from a suspend, I only see the mouse cursor on a black background. Switching VTs and coming back to X doesn't change anything.

The dmesg log shows lots of ioctl errors in the radeon driver.

WORKAROUND: Booting with "nomodeset" in the kernel cmdline fixes suspend/resume.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-19-generic 2.6.32-19.28
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: amit 1245 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 5'
   Mixer name : 'Analog Devices AD1981B'
   Components : 'AC97a:41445374'
   Controls : 26
   Simple ctrls : 18
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 1RHT71WW-3.04'
   Mixer name : 'ThinkPad EC 1RHT71WW-3.04'
   Components : ''
   Controls : 2
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pvolume pvolume-joined pswitch pswitch-joined penum
   Playback channels: Mono
   Limits: Playback 0 - 14
   Mono: Playback 6 [43%] [on]
Date: Wed Apr 7 12:53:41 2010
HibernationDevice: RESUME=UUID=3172ad6d-4dfb-43d6-898a-d3d54933400a
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
Lsusb:
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: IBM 2373NG9
PccardctlIdent:
 Socket 0:
   no product info available
 Socket 1:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
 Socket 1:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-19-generic root=UUID=3af12628-6785-4f0a-bc58-c892037abaeb ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.33
RfKill:
 0: tpacpi_bluetooth_sw: Bluetooth
  Soft blocked: yes
  Hard blocked: no
SourcePackage: linux
dmi.bios.date: 10/29/2004
dmi.bios.vendor: IBM
dmi.bios.version: 1RETDHWW (3.13 )
dmi.board.name: 2373NG9
dmi.board.vendor: IBM
dmi.board.version: Not Available
dmi.chassis.asset.tag: 99Y15L3
dmi.chassis.type: 10
dmi.chassis.vendor: IBM
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnIBM:bvr1RETDHWW(3.13):bd10/29/2004:svnIBM:pn2373NG9:pvrThinkPadT41:rvnIBM:rn2373NG9:rvrNotAvailable:cvnIBM:ct10:cvrNotAvailable:
dmi.product.name: 2373NG9
dmi.product.version: ThinkPad T41
dmi.sys.vendor: IBM

Amit Kucheria (amitk) wrote :
William Shotts (bshotts) on 2010-04-12
Changed in linux (Ubuntu):
status: New → Confirmed
bjaglin (bjaglin) wrote :

KMS broke support for s/r for AGP RV250. A work around is to boot with radeon.agpmode=-1 to disable AGP.
Similar bug report: https://bugzilla.redhat.com/show_bug.cgi?id=531825.

Amit Kucheria (amitk) wrote :

Booting with "nomodeset" in the kernel cmdline fixes suspend/resume.

Changed in linux (Ubuntu):
importance: Undecided → Medium
milestone: none → lucid-updates
codification (codification) wrote :

I experience the same behaviour when resuming from suspend. A black screen, occasionally with a mouse cursor.

Ubuntu kernel 2.6.32-22-generic #33-Ubuntu
Lenovo Thinkpad T500 with ATI Mobility Radeon HD 3650.

Oncle Tom (oncletom) wrote :

Same problem, not happening on Jaunty, but now on Lucid:

$ lspci | egrep -i rv
01:00.1 Audio device: ATI Technologies Inc RV635 Audio device [Radeon HD 3600 Series]

nanotube (nanotube) wrote :

Hi
I had the same problem,
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] (rev 02)
Workaround of running with nomodeset worked.

Hereby voting for a fix. :)

Martin Spacek (mspacek) wrote :

I have the same problem on my Thinkpad T41 with RV250 on Maverick. This system has been upgraded twice from 9.10.

$ lspci | egrep -i rv
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] (rev 02)

Although hibernate/resume works fine, suspend/resume does not. Plus, there's some video corruption of the ubuntu logo during bootup and shutdown. So, I thought I'd try turning off kernel mode setting (KMS). I'm running grub2. In /etc/default/grub, I replaced this line:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

with this line:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset"

Now, resuming from suspend seems to work perfectly. I'm not sure whether there's a performance hit by not using KMS. Is nomodeset the default when installing Maverick on older AGP radeon systems like these? Should it be in Natty? Will suspend/resume under KMS ever work on older AGP radeon systems?

affects: linux (Ubuntu) → xserver-xorg-video-ati (Ubuntu)
Martin Spacek (mspacek) wrote :

I'm assuming that assigning this to xserver-xorg-video-ati is more appropriate than generically assigning it to linux (Ubuntu)

tags: added: radeon regression-release resume suspend
removed: apport-bug graphics i386 lucid needs-upstream-testing regression-potential
Martin Spacek (mspacek) on 2010-11-25
tags: added: agp
bugbot (bugbot) on 2010-11-25
tags: added: lucid
Bryce Harrington (bryce) wrote :

@Martin, no, with kernel modesetting it's the kernel that's responsible for all of this. xserver-xorg-video-ati is just the DDX driver and no longer handles this.

affects: xserver-xorg-video-ati (Ubuntu) → linux (Ubuntu)
László Monda (mondalaci) wrote :

Resume from suspend was being broken on my laptop for about half a year. I've just found the http://ubuntuforums.org/showthread.php?t=782782 thread and written the following script which works like a charm.

#!/bin/bash
gnome-screensaver-command -l
sudo /etc/acpi/sleep.sh force

I'm currently running Natty and using the radeon driver. Hope this helps someone.

Amit Kucheria, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

description: updated
tags: added: needs-upstream-testing
removed: agp radeon
Changed in linux (Ubuntu):
importance: Medium → Low
milestone: lucid-updates → none
status: Confirmed → Incomplete
madbiologist (me-again) wrote :

This should be fixed in the upstream 3.7-rc7 kernel by this commit:

author Paul Bolle
Mon, 19 Nov 2012 20:17:31 +0000 (21:17 +0100)
committer Alex Deucher
Tue, 20 Nov 2012 16:47:32 +0000 (11:47 -0500)
commit 45171002b01b2e2ec4f991eca81ffd8430fd0aec
tree 4b0867780f1367edaf70c22b2324f7d5c9464a41
parent 804cc4a0ad3a896ca295f771a28c6eb36ced7903

radeon: add AGPMode 1 quirk for RV250

The Intel 82855PM host bridge / Mobility FireGL 9000 RV250 combination
in an (outdated) ThinkPad T41 needs AGPMode 1 for suspend/resume (under
KMS, that is). So add a quirk for it.

(Change R250 to RV250 in comment for preceding quirk too.)

Signed-off-by: Paul Bolle
Signed-off-by: Alex Deucher
Cc: stable

As you can see, it has been cc'd to stable, so it will probably make it's way to the 3.6 and 3.2 kernel series eventually. Once it's in the upstream 3.2 kernel it should be automatically included in an Ubuntu 12.04 "Precise Pangolin" SRU.

tags: added: maverick
tags: added: cherry-pick
madbiologist (me-again) wrote :

This patch I mentioned in comment #12 is now also in the upstream 3.2.35 kernel, as commit 17c907003db3a516453d79c2de7fd23245210c2d

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.